rospell(February 01, 2008)

NAME
rospell - UTF-8 programming text editor and speller.

SYNOPSYS
rospell [options] filename

DESCRIPTION
rospell is a UTF-8 text editor for programmers and general use. It features syntax highlighting, a code beautifier for C and C++, and support for ctags, grep, diff, and merge. It also includes a speller for English and Romanian.

To start the spelling from the current cursor position press Start. Use Ignore to jump over a word, or Add to add it to the local dictionary in ~/.rospell/dictionary.user.

rospell supports UTF-8, ISO8859, and CP1250 character sets. If the character set is not specified on the command line, UTF-8 is assumed.

rospell uses ALT key to enter Romanian special characters as follows:

       ALT-a, ALT-s, ALT-q, ALT-t, ALT-i

OPTIONS
-v: installed version

-h, -?, --help: this help screen.

--utf8: use utf8 character set (default).

--iso8859-1, --latin1: use ISO8859-1 character set.

--iso8859-2, --latin2: use ISO8859-2 character set.

--iso8859-3, --latin3: use ISO8859-3 character set.

--iso8859-4, --latin4: use ISO8859-4 character set.

--iso8859-5, --cyrillic: use ISO8859-5 character set.

--iso8859-6, --arabic: use ISO8859-6 character set.

--iso8859-7, --greek: use ISO8859-7 character set.

--iso8859-8, --hebrew: use ISO8859-8 character set.

--iso8859-9, --latin5: use ISO8859-9 character set.

--iso8859-10, --latin6: use ISO8859-10 character set.

--iso8859-11: use ISO8859-11 character set.

--iso8859-12: use ISO8859-12 character set.

--iso8859-13: use ISO8859-13 character set.

--iso8859-14: use ISO8859-14 character set.

--iso8859-15: use ISO8859-15 character set.

--iso8859-16: use ISO8859-16 character set.

--cp1250: use CP1250 (Windows) character set.

(the following options are only available for UTF-8 character set)

-u: add all words to the local user dictionary

-p: print all new words

EXAMPLE
$ rospell file*.txt

•   start the editor using UTF-8 character set

$ rospell --iso8859-2 file*.txt

•   start the editor using ISO8859-2 character set

$ rospell -p file*.txt

•   generate a list of new words form file*.txt

AUTHOR
http://rospell.sourceforge.net